- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# LineSegment File Reference

`#include <osg/Matrix>`
`#include <osg/BoundingBox>`
`#include <osg/BoundingSphere>`

Include dependency graph for LineSegment:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Classes
class | osg::LineSegment
| LineSegment class for representing a line segment. More...
## Defines
#define | OSG_LINESEGMENT 1

## Define Documentation

#define OSG_LINESEGMENT 1